xoopscube/altsys

View on GitHub
xoops_trust_path/libs/altsys/xoops_version.php

Summary

Maintainability
A
1 hr
Test Coverage

Consider simplifying this complex logical expression.
Open

if (! defined('XOOPS_CUBE_LEGACY') && substr(XOOPS_VERSION, 6, 3) < 2.1 && ! empty($_POST['fct']) && ! empty($_POST['op']) && $_POST['fct'] == 'modulesadmin' && $_POST['op'] == 'update_ok' && $_POST['dirname'] == $modversion['dirname']) {
    include dirname(__FILE__).'/include/x20_keepblockoptions.inc.php' ;
}
Severity: Major
Found in xoops_trust_path/libs/altsys/xoops_version.php - About 1 hr to fix

    There are no issues that match your filters.

    Category
    Status